[POST] .../v1/useroperatingcash/remove
Removes an operating cash register assignment from a user. Use this destructive method to remove a user's access to an operating cash register when the assignment is no longer valid. It returns row_affected and accepts either a positive assignment id or the pair user_id plus operating_cash_id when id is not provided. The caller must have user operating cash remove permission; missing body, missing identifying fields, denied access, missing assignment records, currently accepted cash register restrictions and storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | Int64 | Optional | Table record ID for the cash register to user link. Provide this field or provide both operating_cash_id and user_id. |
| operating_cash_id | Int64 | Optional | Cash register ID. Required when id is not provided. |
| user_id | Int64 | Optional | User ID. Required when id is not provided. |
Request Example
{
"user_id": 17,
"operating_cash_id": 12
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Update | Update operation result. |
Response Example
{
"ok": true,
"result": {
"row_affected": 1
}
}